tigase.criteria

## Class ElementCriteria

- java.lang.Object
- - tigase.criteria.ElementCriteria

- All Implemented Interfaces:
    Criteria

      public class ElementCriteria
      extends Object
      implements Criteria

  Created: 2007-06-19 20:34:57

  Version:
    $Rev$
  Author:
    bmalkow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementCriteria(String name, String cdata, String[] attname, String[] attValue)` Constructs ...

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `add(Criteria criteria)` Method description
    `static ElementCriteria` | `empty()` Method description
    `boolean` | `match(Element element)` Method description
    `static ElementCriteria` | `name(String name)` Method description
    `static ElementCriteria` | `name(String name, String xmlns)` Method description
    `static ElementCriteria` | `name(String name, String[] attNames, String[] attValues)` Method description
    `static ElementCriteria` | `name(String name, String cdata, String[] attNames, String[] attValues)` Method description
    `static ElementCriteria` | `nameType(String name, String type)` Method description
    `static ElementCriteria` | `xmlns(String xmlns)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementCriteria

          public ElementCriteria(String name,
                                 String cdata,
                                 String[] attname,
                                 String[] attValue)

      Constructs ...
      Parameters:
        `name` -
        `cdata` -
        `attname` -
        `attValue` -

  - ### Method Detail

    - #### empty

          public static final ElementCriteria empty()

      Method description
      Returns:

    - #### name

          public static final ElementCriteria name(String name)

      Method description
      Parameters:
        `name` -
      Returns:

    - #### name

          public static final ElementCriteria name(String name,
                                                   String xmlns)

      Method description
      Parameters:
        `name` -
        `xmlns` -
      Returns:

    - #### name

          public static final ElementCriteria name(String name,
                                                   String cdata,
                                                   String[] attNames,
                                                   String[] attValues)

      Method description
      Parameters:
        `name` -
        `cdata` -
        `attNames` -
        `attValues` -
      Returns:

    - #### name

          public static final ElementCriteria name(String name,
                                                   String[] attNames,
                                                   String[] attValues)

      Method description
      Parameters:
        `name` -
        `attNames` -
        `attValues` -
      Returns:

    - #### nameType

          public static final ElementCriteria nameType(String name,
                                                       String type)

      Method description
      Parameters:
        `name` -
        `type` -
      Returns:

    - #### xmlns

          public static final ElementCriteria xmlns(String xmlns)

      Method description
      Parameters:
        `xmlns` -
      Returns:

    - #### add

          public Criteria add(Criteria criteria)

      Method description
      Specified by:
        `add` in interface `Criteria`
      Parameters:
        `criteria` -
      Returns:

    - #### match

          public boolean match(Element element)

      Method description
      Specified by:
        `match` in interface `Criteria`
      Parameters:
        `element` -
      Returns:

Copyright © 2017 "Tigase, Inc.". All rights reserved.